uk.gov.hmrc.gitclient

# ScheduledCleanUp

###
Related Doc: package gitclient

#### trait ScheduledCleanUp extends ScheduledTask

Self Type
  ScheduledCleanUp with GitStore

Linear Supertypes
ScheduledTask, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ScheduledCleanUp
2. ScheduledTask
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### case class ExecutionConfig(initialDelay: Long, interval: Long, unit: TimeUnit) extends Product with Serializable

   Definition Classes
     ScheduledTask

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def executionConfig: (ScheduledCleanUp.this)#ExecutionConfig

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### def scheduledExecution[T](operation: ⇒ T)(by: ⇒ (ScheduledCleanUp.this)#ExecutionConfig): ScheduledFuture[_]

    Definition Classes
      ScheduledTask

17. #### val scheduledFuture: ScheduledFuture[_]

18. #### val scheduler: ScheduledThreadPoolExecutor

    Definition Classes
      ScheduledTask

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ScheduledTask

### Inherited from AnyRef

### Inherited from Any

### Ungrouped